# Uses of Class
com.logicaldoc.core.metadata.AttributeOption

Packages that use AttributeOption
Package
Description
com.logicaldoc.core.metadata
Package that collects the template and attribute sets definitions.
Many objects of the LogicalDOC platform are extensible and can store your custom metadata, they are all those that extends the `ExtensibleObject`.

## Uses of AttributeOption in com.logicaldoc.core.metadata

Methods in com.logicaldoc.core.metadata that return types with arguments of type AttributeOption
Modifier and Type
Method
Description
`List<AttributeOption>`
AttributeOptionDAO.`findByAttribute(long setId, String attribute)`
This finds all the options for a given attribute.
`List<AttributeOption>`
HibernateAttributeOptionDAO.`findByAttribute(long setId, String attribute)`
`List<AttributeOption>`
AttributeOptionDAO.`findByAttributeAndCategory(long setId, String attribute, String category)`
This finds all the options for a given attribute.
`List<AttributeOption>`
HibernateAttributeOptionDAO.`findByAttributeAndCategory(long setId, String attribute, String category)`
`Map<String,List<AttributeOption>>`
AttributeOptionDAO.`findByAttributeAsMap(long setId, String attribute)`
This finds all the options for a given attribute and groups them by category.
`Map<String,List<AttributeOption>>`
HibernateAttributeOptionDAO.`findByAttributeAsMap(long setId, String attribute)`
Methods in com.logicaldoc.core.metadata with parameters of type AttributeOption
Modifier and Type
Method
Description
`int`
AttributeOption.`compareTo(AttributeOption other)`